package member

import (
	"fmt"
	e "simrs-vx/internal/domain/bpjs-entities/member"
	ibpjs "simrs-vx/internal/infra/bpjs"
)

func endpointMapper(input *e.ReadListDto) string {
	switch input.ReferenceType {
	case e.RTBpjs:
		return fmt.Sprintf("%speserta/nokartu?noKartu=%s&tglpelayanan=%s", ibpjs.O.BaseUrl, input.PathValue1, input.PathValue2)
	case e.RTNik:
		return fmt.Sprintf("%speserta/nik?nik=%s&tglpelayanan=%s", ibpjs.O.BaseUrl, input.PathValue1, input.PathValue2)
	default:
		return ""
	}
}
